/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.geodata.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.geodata.entity.GeodataPlzConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GeodataPlzMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GeodataPlzMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "geodataPlzMeta";

  @Inject
  private transient Messages messages;

  public GeodataPlzMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GeodataPlzConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GeodataPlzConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getPlzEinzahlMessageKey(){
    return GeodataPlzConstants.MESSAGE_KEY_PLZ_EINZAHL;
  }

  public String getPlzMehrzahlMessageKey(){
    return GeodataPlzConstants.MESSAGE_KEY_PLZ_MEHRZAHL;
  }


  public String getPlzEinzahlMessage(){
    return getMessage(getPlzEinzahlMessageKey());
  }

  public String getPlzMehrzahlMessage(){
    return getMessage(getPlzMehrzahlMessageKey());
  }



  public boolean isPlzRequired() {
    return !GeodataPlzConstants.PLZ_NULLABLE;
  }

  public java.lang.String getPlzDefaultValue() {
    return GeodataPlzConstants.PLZ_DEFAULT_VALUE;
  }

  public int getPlzMaxLength() {
    return GeodataPlzConstants.PLZ_MAX_LENGTH;
  }

}